Status: Closed Start date: 2008-06-06

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Looks like the problem that was in Issue #904 is back with Firefox 3 RC2.  You can't right click on the link of a issue and get the

native context menu.  For people how like to open everything in new tabs this is a problem.

History

#1 - 2008-06-07 12:06 - Jean-Philippe Lang

I propose to wait for Firefox final release to see if it still occurs.

#2 - 2008-06-17 22:17 - Jean-Philippe Lang

- Status changed from New to Closed

- Affected version (unused) deleted (0.7.1)

- Resolution set to Invalid

- Affected version deleted (0.7.1)

It seems to work fine with FF3 final.

#3 - 2008-06-18 08:25 - Boudewijn van Liempd

Jean-Philippe Lang wrote:

It seems to work fine with FF3 final.

 On mac os X (10.5.3) it still doesn't work. When I click outside the issue list it does work but clicking on an issue doesn't work.

Also the "redmine" rightclick menu when f.e. selecting multiple issues to edit them also does not work.

#4 - 2008-06-18 08:25 - Boudewijn van Liempd

- Status changed from Closed to Reopened

Boudewijn van Liempd wrote:

Jean-Philippe Lang wrote:

It seems to work fine with FF3 final.

 On mac os X (10.5.3) it still doesn't work. When I click outside the issue list it does work but clicking on an issue doesn't work.

Also the "redmine" rightclick menu when f.e. selecting multiple issues to edit them also does not work.

#5 - 2008-06-18 11:49 - Boudewijn van Liempd

Boudewijn van Liempd wrote:

Boudewijn van Liempd wrote:

Jean-Philippe Lang wrote:

It seems to work fine with FF3 final.
 On mac os X (10.5.3) it still doesn't work. When I click outside the issue list it does work but clicking on an issue doesn't work.

Also the "redmine" rightclick menu when f.e. selecting multiple issues to edit them also does not work.

 

On windows (using VMware Fusion) it is ok

#6 - 2008-06-23 21:13 - David Petersen

I am still having problems with the final version of Firefox 3.0 on my Mac OS X 10.5.3.

#7 - 2008-07-01 11:44 - Gumer Coronel

The same for me with Firefox 3.0 on Ubuntu 8.04

#8 - 2008-07-01 19:03 - Jean-Philippe Lang

- File firefox3-kubuntu.png added

Firefox 3.0 / Kubuntu 8.04

 

#9 - 2008-07-03 15:49 - David Petersen

This is not resolved on Mac.  There are 2 other guys with a Mac in my office that are having the same problem.

#10 - 2008-07-03 17:38 - Matthew Kosterman

Same problem here. Mac Pro Quad OS X 10.5.2.

#11 - 2008-07-04 02:28 - Lane Roathe

We've found that when using Safari right clicks work on all of our Mac's. Not sure why Firefox on Mac OS X doesn't work when it works fine in

Vista/XP.

#12 - 2008-07-04 03:32 - David Petersen

Something I have also noticed is that right clicking in google maps doesn't work ether.  You can normally right click on the google map and add a new

destination, but with Firefox 3 I can't.  Have no clue what is causing this.

#13 - 2008-07-04 03:46 - Matthew Kosterman

Interesting - on a Powerbook G4 running OS X 10.5.2 and Safari 3.0, CONTROL-CLICK works to drop the contextual menu. I don't have a mighty

mouse handy to check it but will try to dig one up later.

#14 - 2008-07-04 04:08 - Ewan Makepeace

I cant get right click context sensitive menus to work in either of my main browsers (Mac):
Safari 3.1.2

Firefox 3.0

To be honest I only just found out that there was supposed to be custom right click menu behaviour. This is kind of cool (if only it worked) as a

shortcut, but I think it very poor UI design to make a right click context sensitive menu the only way to access functionality (in this case bulk edit of

multiple issues).

Why? Because in general right click in a browser is reserved for the browsers own right click menu and so users will not intuitively look for a context

sensitive menu. Until reopening an issue (#330) I was unaware that the feature had moved to this menu and there is no clue in the UI.

#15 - 2008-07-04 04:45 - David Petersen

I have and Intel Mac Book Pro running OSX 10.5.4 and Safari 3.1.2 (5525.20.1) and right clicking (and ctrl-clicking) on issue work fine.

#16 - 2008-07-04 09:27 - Ewan Makepeace

Update: I cannot get right click (or Control click) to work in my own install of Redmine (approx 1 month old) but it does work on this site (

www.redmine.org) using Safari 3.1.2. Apologies for the misrepresentation.

I observe the following behaviour:

If I ctrl or right click on a single task I get a full right click menu for that task.

However if I first check many tasks and then ctrl click (not right click) my action of clicking deselects the task under the cursor, while displaying

the smaller menu.

[The behaviour is the same in IE on XP - if you ctrl click it deselects the row, but that is fine because in Windows there is no Ctrl-click convention to

represent a right click.]

In Firefox 3 I observe the opposite behaviour:

Right clicking has no effect.

Ctrl-clicking works as expected without any unintended row deselection.

Question: What version of redmine do I need to upgrade to to get this right click menu behaviour?

#17 - 2008-07-15 12:48 - Ewan Makepeace

- File Picture_9.jpg added

We have updated to latest versions and I still cannot get bulk edit to work in Safari (Mac):

Redmine 0.7.3.1645 (MySQL)

ruby 1.8.6 (2007-03-13 patchlevel 0) [x86_64-linux]

Rails 2.0.2

Safari 3.1.2

When I right click anywhere on an issue in Safari all I get is the regular Safari context sensitive menu (attached). I know others do not have this

problem but it is extremely serious for our wider adoption and I dont know what else to do...

#18 - 2008-07-30 23:53 - Brian Lopez

I have this problem as well with my local install of Redmine 0.7.3 (MySQL)

Using Safari 3.1, latest WebKit nightly, or FF3 in OSX.

Funny thing is, it works here on this site just fine ;)

What version of the code are you guys running?

#19 - 2008-07-31 00:31 - Brian Lopez

I just confirmed that this works with the latest trunk, but not in 0.7.3

My only confusion comes from the fact that 0.7 specifically lists this feature as being part of it.

Not a big deal, I'll just switch to trunk for now - but thought I'd let y'all know

#20 - 2008-09-04 23:28 - Carolyn Goodman

I believe this is the same problem identified in #1655

#21 - 2009-04-24 19:23 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Current trunk tested OK with FF3.0.1 under OSX 10.5.6 and Windows.

2025-05-17 3/4

https://www.redmine.org/issues/330
http://www.redmine.org
https://www.redmine.org/issues/1655


Files

firefox3-kubuntu.png 158 KB 2008-07-01 Jean-Philippe Lang

Picture_9.jpg 62.1 KB 2008-07-15 Ewan Makepeace

Powered by TCPDF (www.tcpdf.org)

2025-05-17 4/4

http://www.tcpdf.org

